This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Python Launcher Matches 3.10 instead of 3.1
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Marsfan, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2021-10-26 17:51 by Marsfan, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29731 merged zach.ware, 2021-11-23 17:49
PR 29740 merged miss-islington, 2021-11-24 04:41
Messages (4)
msg405054 - (view) Author: Gabe R. (Marsfan) Date: 2021-10-26 17:51
I have both Python 3.1-64 and 3.10-64 installed on the same Windows machine. If I attempt to launch Python 3.1 using the command `py -3.1-64`, the launcher incorrectly starts Python 3.10.
msg406901 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-11-24 04:41
New changeset f9de97aae5fe9dafb58a8099171f4a09c449f4e8 by Zachary Ware in branch 'main':
bpo-45616: Let py.exe distinguish between v3.1 and v3.10 (GH-29731)
https://github.com/python/cpython/commit/f9de97aae5fe9dafb58a8099171f4a09c449f4e8
msg406902 - (view) Author: miss-islington (miss-islington) Date: 2021-11-24 05:02
New changeset ae065f83625f3abcf75d928f405e05582fc035b4 by Miss Islington (bot) in branch '3.10':
bpo-45616: Let py.exe distinguish between v3.1 and v3.10 (GH-29731)
https://github.com/python/cpython/commit/ae065f83625f3abcf75d928f405e05582fc035b4
msg406943 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2021-11-24 17:58
Thanks for the report, Gabe!  We actually ran into this in the opposite direction as well; a system with 3.1 but not 3.10 started up 3.1 for `py -3.10` causing unexpected syntax errors.

The fix is now merged and will be available with the release of v3.10.1 and the next v3.11 alpha.
History
Date User Action Args
2022-04-11 14:59:51adminsetgithub: 89779
2021-11-24 17:58:01zach.waresetstatus: open -> closed
versions: + Python 3.11
messages: + msg406943

resolution: fixed
stage: patch review -> resolved
2021-11-24 05:02:41miss-islingtonsetmessages: + msg406902
2021-11-24 04:41:24miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request27978
2021-11-24 04:41:12zach.waresetmessages: + msg406901
2021-11-23 17:49:57zach.waresetkeywords: + patch
stage: patch review
pull_requests: + pull_request27968
2021-10-26 17:51:14Marsfancreate